# [BETA] Get VM instance

```http
GET /compute/v1/tenants/{tenantId}/instances/{instanceId}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetInstance`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:instances`

Returns details of a specific VM instance

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `instanceId` (string, required) — Instance ID

## Responses

### 200 — OK

Content type: `application/json`

- `createdAt` (string)
- `defaultVpcId` (string)
- `id` (string)
- `name` (string)
- `offering` (object)
  - `available` (boolean)
  - `cpu` (object)
    - `cores` (integer)
    - `vendor` (string, one of: `amd`, `intel`, `unspecified`)
  - `memory` (object)
    - `amount` (integer)
  - `name` (string)
  - `productCode` (string)
  - `storage` (object)
    - `amount` (integer)
- `primaryAddress` (string)
- `protectedMode` (boolean)
- `publicAddress` (string)
- `state` (string, one of: `Starting`, `Running`, `Stopping`, `Stopped`, `Destroyed`, `Expunging`, `Migrating`, `Error`, `Unknown`, `Shutdown`, `Restoring`)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
